/* Blink2. ino
 * 
 * This program blinks the onboard LED of the 
 * Raspberry Pi Pico using the Mbed OS API functions.
 * Here we did not use the 'using namespace' directive.
 *
 * Tested with Arduino IDE v1.8.19 and Arduino Mbed OS RP2040 boards v4.1.1 extension
 */
#include <mbed.h>

mbed::DigitalOut led(LED1);

void setup() {
}

void loop() {
  led.write(1);                      // Switch the LED on
  rtos::ThisThread::sleep_for(1000); // Wait for a second
  led.write(0);                      // Switch the LED off
  rtos::ThisThread::sleep_for(1000); // Wait for a second
}
